<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('construction_road_cuttings', function (Blueprint $table) {
            $table->string('startpoint')->nullable();
            $table->string('endpoint')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('construction_road_cuttings', function (Blueprint $table) {
             $table->dropColumn('startpoint')->nullable();
            $table->dropColumn('endpoint')->nullable();  
        });
    }
};
